art-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType This structure encapsulates a buffer of pixels, that can be in several specific pixel buffer formats. To be added
- Field
  2.24.0.0
  System.Int32 To be added To be added
- Property
  2.24.0.0
  Art.DestroyNotify To be added. To be added. To be added.
- Method
  2.24.0.0
  Art.PixBuf Creates a deep clone of the current instance. A fresh deep copy of the current instance. Event the buffer that was given to create this buffer is copied, and its dealocation is then done by the new instance on its destruction, independently of who is responsible to free the curren buffer.
- Field
  2.24.0.0
  Art.PixFormat To be added To be added
- Method
  2.24.0.0
  System.Void Frees any used resources. If the destroy delegate was given its invoked, otherwise if it wasn't created with NewConstRGBx it will free the memory held by the buffer.
- Method
  2.24.0.0
  System.Void Frees just the resources held by the PixBuf ignoring the given buffer. Its deprecated.
- Field
  2.24.0.0
  System.Int32 To be added To be added
- Field
  2.24.0.0
  System.Int32 To be added To be added
- Field
  2.24.0.0
  System.Int32 To be added To be added
- Method
  2.24.0.0
  Art.PixBuf `` a To be added a To be added
- Method
  2.24.0.0
  Art.PixBuf `` `` `` `` The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. Creates a new RGB PixBuf. A newly created RGB.
- Method
  2.24.0.0
  Art.PixBuf `` `` `` `` The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. Creates a new RGBA PixBuf. A newly created RGBA.
- Method
  2.24.0.0
  Art.PixBuf `` `` `` `` The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. Creates a new RGB PixBuf. A newly created RGB. On destruction, the created instance will free the memory used by given buffer in pixels.
- Method
  2.24.0.0
  Art.PixBuf `` `` `` `` The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. Creates a new RGBA PixBuf. A newly created RGB. On destruction, the created instance will free the memory used by given buffer in pixels.
- Method
  2.24.0.0
  Art.PixBuf `` `` `` `` `` `` The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. The data that will be given to dfunc on its invocation. The delegate that is going to be invoked when the PixBuf gets destroyed. Creates a new RGBA PixBuf that invokes the given delegate on destruction. A newly created RGBA that invokes a delegate on its destruction.
- Method
  2.24.0.0
  Art.PixBuf `` `` `` `` `` `` The buffer containing the actual pixel data. The width of the pixbuf. The height of the pixbuf. The row stride of the pixbuf. The data that will be given to dfunc on its invocation. The delegate that is going to be invoked when the PixBuf gets destroyed. Creates a new RGB PixBuf that invokes the given delegate on destruction. A newly created RGB that invokes a delegate on its destruction.
- Field
  2.24.0.0
  System.Int32 To be added To be added
- Field
  2.24.0.0
  System.Int32 To be added To be added
- Field
  2.24.0.0
  Art.PixBuf To be added To be added